# Hivatalos Python futtatókörnyezet használata alapként
FROM python:3.11-slim

# Munkakönyvtár beállítása a konténerben
WORKDIR /app

# A requirements.txt fájl másolása a konténerbe
COPY requirements.txt .

# A requirements.txt-ben meghatározott csomagok telepítése
RUN pip install --no-cache-dir -r requirements.txt

# A Python script másolása a konténerbe
COPY get_aruba_clients.py .

# A config.json másolása a konténerbe
COPY config.json .

# A script futtatása a konténer indításakor
CMD ["python3", "get_aruba_clients.py"]
